Read node
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"definition": {},
"dependencies": {},
"groups": {},
"id": "<string>",
"is_deleted": true,
"kind": "<string>",
"name": "<string>",
"relationships": {},
"state": "<string>",
"updated_at": "<string>",
"data": {},
"info": {},
"node_group": "<string>",
"role": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}OVH Clusters
Read node
Returns one machine of the cluster with its definition, its latest recorded info and data, and its dependencies and relationships. Answers 404 when the node is not part of the cluster.
GET
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
nodes
/
{node_id}
Read node
import requests
url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/nodes/{node_id} \
--header 'Authorization: Bearer <token>'{
"created_at": "<string>",
"definition": {},
"dependencies": {},
"groups": {},
"id": "<string>",
"is_deleted": true,
"kind": "<string>",
"name": "<string>",
"relationships": {},
"state": "<string>",
"updated_at": "<string>",
"data": {},
"info": {},
"node_group": "<string>",
"role": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes